Search Results for

Show / Hide Table of Contents

# Class Scenario.ScenarioCategory

##### Inheritance

System.Object
Scenario.ScenarioCategory

###### Namespace: UICatalog

###### Assembly: UICatalog.dll

##### Syntax

    public class ScenarioCategory : Attribute

### Constructors

#### ScenarioCategory(String)

##### Declaration

    public ScenarioCategory(string Name)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | Name |

### Properties

#### Name

##### Declaration

    public string Name { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

#### GetCategories(Type)

##### Declaration

    public static List<string> GetCategories(Type t)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Type | t |

##### Returns

Type | Description
--- | ---
System.Collections.Generic.List<System.String> |

#### GetName(Type)

##### Declaration

    public static string GetName(Type t)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Type | t |

##### Returns

Type | Description
--- | ---
System.String |